public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-firmware/nvidia-firmware/
Date: Sat, 19 Sep 2020 18:01:07 +0000 (UTC)	[thread overview]
Message-ID: <1600538446.14955162c5e32b437bf3ad88a687466d64563a06.soap@gentoo> (raw)

commit:     14955162c5e32b437bf3ad88a687466d64563a06
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Sat Sep 19 18:00:46 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 18:00:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14955162

sys-firmware/nvidia-firmware: migrate to Python 3

* Migrate to Python 3 and EAPI 7.
  Updated SRC_URI for python firmware extractor.

Bug: https://bugs.gentoo.org/731258
Closes: https://github.com/gentoo/gentoo/pull/17600
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-firmware/nvidia-firmware/Manifest              |  1 +
 .../nvidia-firmware-340.32-r1.ebuild               | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/sys-firmware/nvidia-firmware/Manifest b/sys-firmware/nvidia-firmware/Manifest
index 16f7c865114..efbb2aa2547 100644
--- a/sys-firmware/nvidia-firmware/Manifest
+++ b/sys-firmware/nvidia-firmware/Manifest
@@ -2,3 +2,4 @@ DIST NVIDIA-Linux-x86-325.15.run 27409286 BLAKE2B cb6de2c7a95cdeab18b3c5c61d7b99
 DIST NVIDIA-Linux-x86-340.32.run 38587515 BLAKE2B d7ebf5ece0f01c132c91e1f45cbfe8bd8354cf8a97e64820938c0cd0d3f3091a1ff778950f25b53c863a8e95d31b1656efbd516293c75a0e5395b264d95b8af1 SHA512 a67e57a1bd70a9cd5ae2bed70403920ed94d8eac9d08dcd380f6065cd597d5824e26ae25a0bcd56626190124c07d128f3b0429040794c8e8d3ead85860fcb646
 DIST nvidia_extract_firmware-325.15.py 12715 BLAKE2B 996d6cfcc87cb8d6f1d3f3a93bd2cf6af24df6aba403cccf0f3ca0e04b9bbe43cf069f9a6b4430e52b0d3502c2f8d4210e74e61b0fa1a4786b80575301e0f5e3 SHA512 ede9bed14bdae0684a5091fbaa1edcd5ed57463a19a4aee72633167ade5490f8de1d373ebf541678fa53d952da5cd9251c429329aa487578083d9622e6b926a4
 DIST nvidia_extract_firmware-340.32.py 13097 BLAKE2B 7c50734a8f6a9b94f3c111ca0eef055a5a638e2498b2dcb93a6d47547c202606783bcc3f1fba7cdba88d4f204abb173fc50fd52a3d23198f415588330710607b SHA512 a90a8907288ee841dc063a80afb1fea02e0034becddd75e367cf8fbdc065f321746e0d1bb77f158f7b011cfc03ad517e658ad1cc7a1b596e1452363862528b89
+DIST nvidia_extract_firmware-a0b9f9be0efad90cc84b8b2eaf587c3d7d350ea9.py 13869 BLAKE2B 1e59322523c5ec3162dca9792b3cc63c7e71f88dd32650141ffaab49e694022ba155b3691261df96f838e6c80f86c7e42b2a46103baa27a93bd8b9525e839f59 SHA512 1b3fbf2e09cd4cbd63d8f86fde88560e1be2e187abd086a8737e69d66a21fc33079be2ab161186f76f42e2e54881325528e425b1f6f350ea3c37222f4e0d1a47

diff --git a/sys-firmware/nvidia-firmware/nvidia-firmware-340.32-r1.ebuild b/sys-firmware/nvidia-firmware/nvidia-firmware-340.32-r1.ebuild
new file mode 100644
index 00000000000..a14bd980768
--- /dev/null
+++ b/sys-firmware/nvidia-firmware/nvidia-firmware-340.32-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit python-any-r1 unpacker
+
+NV_URI="http://us.download.nvidia.com/XFree86/"
+X86_NV_PACKAGE="NVIDIA-Linux-x86-${PV}"
+
+FIRMWARE_REV="a0b9f9be0efad90cc84b8b2eaf587c3d7d350ea9"
+
+DESCRIPTION="Kernel and mesa firmware for nouveau (video accel and pgraph)"
+HOMEPAGE="https://nouveau.freedesktop.org/wiki/VideoAcceleration/"
+SRC_URI="${NV_URI}Linux-x86/${PV}/${X86_NV_PACKAGE}.run
+	https://raw.githubusercontent.com/envytools/firmware/${FIRMWARE_REV}/extract_firmware.py
+		-> nvidia_extract_firmware-${FIRMWARE_REV}.py"
+
+LICENSE="MIT NVIDIA-r2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+RESTRICT="bindist mirror"
+
+BDEPEND="${PYTHON_DEPS}"
+
+S="${WORKDIR}"
+
+src_unpack() {
+	mkdir "${S}/${X86_NV_PACKAGE}" || die
+	cd "${S}/${X86_NV_PACKAGE}" || die
+	unpack_makeself "${X86_NV_PACKAGE}.run"
+}
+
+src_compile() {
+	"${EPYTHON}" "${DISTDIR}/nvidia_extract_firmware-${FIRMWARE_REV}.py" \
+		|| die "Extracting firmwares failed"
+}
+
+src_install() {
+	insinto /lib/firmware/nouveau
+	doins nv* vuc-*
+}


             reply	other threads:[~2020-09-19 18:01 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-19 18:01 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-15  7:57 [gentoo-commits] repo/gentoo:master commit in: sys-firmware/nvidia-firmware/ Christian Ruppert
2023-05-03  7:07 Christian Ruppert
2022-05-19 19:42 Christian Ruppert
2019-08-30 15:34 Michał Górny
2019-07-15 15:28 Michał Górny
2019-06-14 15:00 Agostino Sarubbo
2019-06-13 14:12 Agostino Sarubbo
2018-06-09 14:15 Mart Raudsepp

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1600538446.14955162c5e32b437bf3ad88a687466d64563a06.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox